petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecGetOwnershipRanges

Returns the range of indices owned by EACH processor, assuming that the vectors are laid out with the first n1 elements on the first processor, next n2 elements on the second, etc. For certain parallel layouts this range may not be well defined.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetOwnershipRanges(Vec x,const PetscInt *ranges[])

Not Collective Many br

### Input Parameter

x -the vector Many br

### Output Parameters

range -array of length size+1 with the start and end+1 for each process Many br

### Note

The high argument is one more than the last element stored locally. Many br

Fortran: You must PASS in an array of length size+1 Many br

Many br

### See Also

MatGetOwnershipRange(), MatGetOwnershipRanges(), VecGetOwnershipRange()

Level:beginner
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html